Page({
  data: {
    da_list: [
      {
        name: '煮饭',
        imgUrl: '/assets/images/xian/device_action1.png',
      },
      {
        name: '煮粥',
        imgUrl: '/assets/images/xian/device_action2.png',
      },
      { 
        name: '热饭',
        imgUrl: '/assets/images/xian/device_action3.png',
      },
      {
        name: '蒸煮',
        imgUrl: '/assets/images/xian/device_action4.png',
      },
      {
        name: '煲汤',
        imgUrl: '/assets/images/xian/device_action5.png',
      },
      {
        name: '酸奶',
        imgUrl: '/assets/images/xian/device_action6.png',
      },
    ],
    define_list: [
      {
        name: '自定义食谱',
        imgUrl: '/assets/images/xian/device_img1.png',
      },
      {
        name: 'XXXX菜谱',
        imgUrl: '/assets/images/xian/device_img2.png',
      },
      {
        name: '家庭版油焖大虾',
        imgUrl: '/assets/images/xian/device_action3.png',
      },
    ], 
  },

  onShow() {
    this.setData({
      // hasHiddenTabBar: true,
      message_list: []
    })
    ty.hideMenuButton()
  },
  goAction() {
    ty.navigateTo({url: '/pages/workstate/index'})
  },
  goAddDevice() {},
  goDefinemenu() {
    ty.navigateTo({url: '/pages/definemenu/index'})
  },
  goMoremenu() {
    ty.navigateTo({url: '/pages/moremenu/index'})
  }
})
